---
import Layout from "@/layouts/center-card.astro";
import { Config } from "@/utils/config";
const url = Config.UI_BASE_URL + "auth/logout";
const cookie = Astro.request.headers.get("cookie");

if (!cookie) {
  return new Response(
    JSON.stringify({
      message: "No session",
    }),
    { status: 400 }
  );
}
const result = await fetch(url, {
  method: "POST",
  headers: { cookie: cookie },
});

if (result.ok) {
  return Astro.redirect("/login");
}

const body = await result.json();
const message = body.message || "Logout failed";
---
<Layout title="Logout">
  <p>{message}</p>
</Layout>

